#![allow(unused)]

use std::fmt::Display;

mod exec;
mod inference;
mod parse;
mod types;
mod vec_map;

pub use exec::Builtin;
pub use exec::DeBrujinAst;
pub use exec::builtin;
pub use inference::infer_type;
pub use parse::{Ast, ParseError, is_ident, parse, parse_type, sexpr::parse_string};
use types::{Ident, PrimitiveType, Type};
